Package Details: icecat 78.4.0-1

Git Clone URL: https://aur.archlinux.org/icecat.git (read-only, click to copy)
Package Base: icecat
Description: GNU version of the Firefox browser.
Upstream URL: http://www.gnu.org/software/gnuzilla/
Keywords: browser esr gnuzilla web
Licenses: GPL, MPL, LGPL
Submitter: None
Maintainer: figue (figuepluto, jfigueras)
Last Packager: figue
Votes: 218
Popularity: 4.02
First Submitted: 2007-12-09 10:12
Last Updated: 2020-10-24 22:37

Dependencies (40)

Required by (0)

Sources (5)

Pinned Comments

figue commented on 2020-09-29 22:37

@Terrorizer patch process can take a long time, depending on your machine capacity.

Good news is that IceCat was added to Chaotic repo recently:

https://lonewolf.pedrohlc.com/chaotic-aur/

crank commented on 2010-05-28 11:26

I can confirm that, it builds fine without it.

Does anybody know what necko-wifi is? This is what depends on the wireless_tools package.
If you want to get rid of this dependency you must add "ac_add_options --disable-necko-wifi" to mozconfig.

.c

tjwoosta commented on 2010-05-24 00:47

Still, its not required, it builds perfectly fine without it, and it pulls a bunch of gnome crap that nobody needs. They should really change the firefox pkgbuild too. Its not the first time the arch maintainers have screwed up with the depends.

Compate the gtk-qt-engine pkgbuild (extra) with the gtk-qt-engine-svn pkgbuild (AUR). The maintainers screwed up big time with the one in extra, it pulls about 50 depends (mostly gnome crap) when gtk-qt-engine really only needs gtk and qt. Its like a chain reaction, one unnescessary depend pulls another which pulls another which then pulls most of gnome. Its just a pointless waste of space for anyone who doesnt use gnome, and even if they do use gnome its not nescessary.

tjwoosta commented on 2010-05-24 00:45

Still, its not required, it builds perfectly fine without it, and it pulls a bunch of gnome crap that nobody needs. They should really change the firefox pkgbuild too. Its not the first time the arch maintainers have screwed up with the depends.

Check out the gtk-qt-engine pkgbuild (extra) with the gtk-qt-engine-svn pkgbuild (AUR). The maintainers screwed up big time with the one in extra, it pulls about 50 depends (mostly gnome crap) when gtk-qt-engine really only needs gtk and qt. Its like a chain reaction, one unnescessary depend pulls another which pulls another which then pulls most of gnome. Its just a pointless waste of space for anyone who doesnt use gnome, and even if they do use gnome its not nescessary.

tjwoosta commented on 2010-05-24 00:44

Still, its not required, it builds perfectly fine without it, and it pulls a bunch of gnome crap that nobody needs. They should really change the firefox pkgbuild too. Its not the first time the arch maintainers have screwed up with the depends.

Check out the gtk-qt-engine pkgbuild (extra) with the gtk-qt-engine-svn pkgbuild (AUR). The maintainers screwed up big time with the one in extra, it pulls about 50 depends (mostly gnome crap) when gtk-qt-engine really only needs gtk and qt. Its like a chain reaction, one unnescessary depend pulls another which pulls another which then pulls most of gnome. Its just a pointless waste of space for anyone who doesnt use gnome, and even if they do use gnome its not nescessary.

tjwoosta commented on 2010-05-24 00:42

Still, its not required, it builds perfectly fine without it, and it pulls a bunch of gnome crap that nobody needs. They should really change the firefox pkgbuild too. Its not the first time the arch maintainers have screwed up with the depends.

Check out the gtk-qt-engine pkgbuild (extra) with the gtk-qt-engine-svn pkgbuild (AUR). The maintainers screwed up big time with the one in extra, it pulls about 50 depends (mostly gnome crap) when gtk-qt-engine really only needs gtk and qt. Its like a chain reaction, one unnescessary depend pulls another which pulls another which then pulls most of gnome. Its just a pointless waste of space.

figue commented on 2010-05-15 08:47

Check Firefox dependencies (http://repos.archlinux.org/wsvn/packages/firefox/trunk/PKGBUILD). IceCat PKGBUILD was created from it.

tjwoosta commented on 2010-05-15 08:16

Why is libgnomeui a makedepend? It pulls in a bunch of other useless gnome dependencies and icecat builds and runs perfectly fine without it.

figue commented on 2010-05-05 18:21

It's strange... Not the same code except for the closed source?

wonder commented on 2010-05-05 18:18

because is not needed.

figue commented on 2010-05-05 15:16

Fine, uploaded new update with changes made by wonder, except for search engines. Build was fine for me in x86_64. Thank you wonder!

Anyway, the Firefox package in extra didn't have autoconf 2.13:

depends=("xulrunner=${_xulver}" 'desktop-file-utils')
makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python' 'wireless_tools')

Do you know why?